I would like to use Server.Execute, but I have Win98 and PWS (4.0?). Is there way that I can upgrade? Could I take an asp.dll from IIS 5.0 and replace the one on my computer? Does anyone know if a new version of PWS will be available for free with the release of Win2000?<BR>Thanks.